Package net.commoble.exmachina.api.content

# Enum Class NoneMechanicalComponent

java.lang.Object
java.lang.Enum<NoneMechanicalComponent>
net.commoble.exmachina.api.content.NoneMechanicalComponent

All Implemented Interfaces:
  `Serializable`, `Comparable<NoneMechanicalComponent>`, `Constable`, `MechanicalComponent`

public enum NoneMechanicalComponent extends Enum<NoneMechanicalComponent> implements MechanicalComponent
MechanicalComponent which provides no power and connects to no graph.

    {
            "type": "exmachina:none"
    }

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INSTANCE`
the instance

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.MapCodec<? extends MechanicalComponent>`
`CODEC`
{"type": "exmachina:none"}
`static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends MechanicalComponent>>`
`KEY`
exmachina:mechanical_component_type / exmachina:none

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.DataResult<MechanicalBlockComponent>`
`bake(net.minecraft.world.level.block.Block block, net.minecraft.core.RegistryAccess registries)`
Validates and bakes a MechanicalBlockComponent for this component's associated block.
`com.mojang.serialization.MapCodec<? extends MechanicalComponent>`
`codec()`
Returns registerd MapCodec for this subclass.
`static NoneMechanicalComponent`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NoneMechanicalComponent[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INSTANCE

public static final NoneMechanicalComponent INSTANCE
the instance

## Field Details

### KEY

public static final net.minecraft.resources.ResourceKey<com.mojang.serialization.MapCodec<? extends MechanicalComponent>> KEY
exmachina:mechanical_component_type / exmachina:none

### CODEC

public static final com.mojang.serialization.MapCodec<? extends MechanicalComponent> CODEC

    {"type": "exmachina:none"}

## Method Details

### values

public static NoneMechanicalComponent[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NoneMechanicalComponent valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### codec

public com.mojang.serialization.MapCodec<? extends MechanicalComponent> codec()
Description copied from interface: `MechanicalComponent`
Returns registerd MapCodec for this subclass.

Specified by:
  `codec` in interface `MechanicalComponent`
Returns:
  registerd MapCodec for this subclass

### bake

public com.mojang.serialization.DataResult<MechanicalBlockComponent> bake(net.minecraft.world.level.block.Block block, net.minecraft.core.RegistryAccess registries)
Description copied from interface: `MechanicalComponent`
Validates and bakes a MechanicalBlockComponent for this component's associated block. Invoked on server start.

Specified by:
  `bake` in interface `MechanicalComponent`
Parameters:
  `block` - Block which this MechanicalComponent shares an id with
  `registries` - RegistryAccess containing the datapack registries, if needed
Returns:
  DataResult containing the baked and validated block component, or an error result if validation failed